package com.test;

import java.util.Date;

public class Address implements java.io.Serializable {

    public final static String TABLE_NAME = "ADDRESS";

    // Fields

	private Integer addressId;

    private String propertyOwnershipType;

	private String flatNumberName;

	private String houseNumberName;    

    private String address1;

	private String address2;

	private String postcode;

	private java.sql.Date startDate;

	private java.sql.Date endDate;

	private String address3;

	private String address4;

	private String address5;

	private String upduser;

	private Date upddate;

	private String creuser;

	private Date credate;

	private String deluser;

	private Date deldate;

    private Integer noOfYearsAtAddress;

	private String propertyTypeOther;

    private Integer months;

    private int versionNum;


    // Constructors

	/** default constructor */
	public Address() {
	}

	/** minimal constructor */
	public Address(Integer addressId) {
		this.addressId = addressId;
	}

    private Integer getAddressId(){
        return addressId;
    }

    private void setAddressId(Integer addressId){
        this.addressId = addressId;
    }

    public String getAddress1() {
        return address1;
    }

    public void setAddress1(String newAddress1) {
        this.address1 = newAddress1;
    }

    public String getAddress2() {
        return address2;
    }

    public void setAddress2(String newAddress2) {
        this.address2 = newAddress2;
    }

    public String getPostcode() {
        return postcode;
    }

    public void setPostcode(String newPostcode) {
        this.postcode = newPostcode;
    }

    public String getAddress3() {
        return address3;
    }

    public void setAddress3(String newAddress3) {
        this.address3 = newAddress3;
    }

    public String getAddress4() {
        return address4;
    }

    public void setAddress4(String newAddress4) {
        this.address4 = newAddress4;
    }

    public String getAddress5() {
        return address5;
    }

    public void setAddress5(String newAddress5) {
        this.address5 = newAddress5;
    }

    public String getPropertyOwnershipType() {
        return propertyOwnershipType;
    }

    public void setPropertyOwnershipType(String newPropertyOwnershipType) {
        this.propertyOwnershipType = newPropertyOwnershipType;
    }

    public String getPropertyTypeOther() {
        return propertyTypeOther;
    }

    public void setPropertyTypeOther(String newPropertyTypeOther) {
        this.propertyTypeOther = newPropertyTypeOther;
    }

    public Integer getYears() {
        return noOfYearsAtAddress;
    }

    public void setYears(Integer newYears) {
           this.noOfYearsAtAddress = newYears;
    }

    public java.sql.Date getStartdate() {
        return startDate;
    }

    public void setStartdate(java.sql.Date newStartdate) {
        this.startDate = newStartdate;
    }

    public java.sql.Date getEnddate() {
        return endDate;
    }

    public void setEnddate(java.sql.Date newEnddate) {
        this.endDate = newEnddate;
    }

    public Integer getMonths() {
        return months;
    }

    public void setMonths(Integer newMonths) {
        this.months = newMonths;
    }

    public String getUpduser(){
        return upduser;
    }

    public void setUpduser(String upduser){
        this.upduser = upduser;
    }

    public Date getUpddate(){
        return upddate;
    }

    public void setUpddate(Date upddate){
        this.upddate = upddate;
    }

    public String getCreuser(){
        return creuser;
    }

    public void setCreuser(String creuser){
        this.creuser = creuser;
    }

    public Date getCredate(){
        return credate;
    }

    public void setCredate(Date credate){
        this.credate = credate;
    }

    public String getDeluser(){
        return deluser;
    }

    public void setDeluser(String deluser){
        this.deluser = deluser;
    }

    public Date getDeldate(){
        return deldate;
    }

    public void setDeldate(Date deldate){
        this.deldate = deldate;
    }

    public String getFlatNumberName() {
        return flatNumberName;
    }

    public void setFlatNumberName(String flatNumberName) {
        this.flatNumberName = flatNumberName;
    }

    public String getHouseNumberName() {
        return houseNumberName;
    }

    public void setHouseNumberName(String houseNumberName) {
        this.houseNumberName = houseNumberName;
    }

    public int getVersionNum() {
        return versionNum;
    }

    public void setVersionNum(int versionNo) {
        this.versionNum = versionNo;
    }
}
